#
# spec file for package libdvbpsi (Version 0.1.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libdvbpsi
%define _name libdvbpsi5
Version:        0.1.6
Release:        8.10
Url:            http://www.videolan.org/developers/libdvbpsi.html
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GPL v2 or later
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
Source:         http://download.videolan.org/pub/%{name}/%{version}/%{_name}-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.

* All MPEG 2 descriptors, decoders and generators.



Authors:
--------
    Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
    Johan Bilien <jobi@via.ecp.fr>
    Andrew John Hughes <gnu_andrew@member.fsf.org>
    Tristan Leteurtre <tristan.leteurtre@anevia.com>
    Viktor Luzin <vl@msp.ru>
    Christophe Massiot <massiot@via.ecp.fr>

%package -n libdvbpsi5
License:        GPL v2 or later
Group:          System/Libraries
Summary:        Library for Decoding and Generating MPEG TS and DVB PSI Tables
# OpenSUSE <= 10.3:
Provides:       libdvbpsi = %{version}
Obsoletes:      libdvbpsi <= %{version}

%description -n libdvbpsi5
libdvbpsi is a simple library designed for decoding and generating
   MPEG TS and DVB PSI tables. Current features: * Program
   Association Table (PAT), decoder and generator.

* Program Map Table (PMT), decoder and generator.

* All MPEG 2 descriptors, decoders and generators.



Authors:
--------
    Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
    Johan Bilien <jobi@via.ecp.fr>
    Andrew John Hughes <gnu_andrew@member.fsf.org>
    Tristan Leteurtre <tristan.leteurtre@anevia.com>
    Viktor Luzin <vl@msp.ru>
    Christophe Massiot <massiot@via.ecp.fr>

%package devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library for Decoding and Generation of MPEG TS and DVB PSI Tables
Requires:       libdvbpsi5 = %{version}

%description devel
libdvbpsi is a simple library designed for decoding and generation of
MPEG TS and DVB PSI tables.

Current features: * Program Association Table (PAT), decoder and
   generator.

* Program Map Table (PMT), decoder and generator.

* All MPEG 2 descriptors, decoders and generators.



Authors:
--------
    Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
    Johan Bilien <jobi@via.ecp.fr>
    Andrew John Hughes <gnu_andrew@member.fsf.org>
    Tristan Leteurtre <tristan.leteurtre@anevia.com>
    Viktor Luzin <vl@msp.ru>
    Christophe Massiot <massiot@via.ecp.fr>

%prep
%setup -q -n %{_name}-%{version}

%build
autoreconf -f -i
%configure\
	--disable-static
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n libdvbpsi5 -p /sbin/ldconfig

%postun -n libdvbpsi5 -p /sbin/ldconfig

%files -n libdvbpsi5
%defattr (-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Tue Jan 15 2008 sbrabec@suse.cz
- Updated to version 0.1.6:
  * fixed a parsing bug due to outdated spec in ISO 639 language
    descriptor
  * fixed the use of uninitialized data when
    section_syntax_indicator=0
  * fixed a parsing bug in the EBU teletext descriptor decoder
  * fixed the declaration of dvbpsi_DecodeTeletextDr
  * new example tool for checking an MPEG-2 TS file
  * fixed EIT discontinuities
  * new cat support
  * new PDC support descriptor 0x69
* Tue Aug 21 2007 crrodriguez@suse.de
- fix wrong .so file in non-devel package.
- remove static libraries and pointless libtool archive with empty
  dependency_libs.
* Wed Jun 28 2006 sbrabec@suse.cz
- New SuSE package, version 0.1.5.
